#ifndef __IUF_EXP
#define __IUF_EXP
/** This class represent an explosion.
Version History {\small 
\begin{itemize}
\item 0.1 First Release (e.g. written only the defs without implementing or using it...)
\item 0.3 First concretely working release
\end{itemize}
Note that this class is very similar to bullet (same ttl). 
Probably in next versions we will subclass Exp and Bullet 
from a intermediate {\em Timed} class.
}
*/
class Exp : public GameObj
{
public:
	/// Minimal Constructor 
	Exp(){ttl=1000;}

	/** Time To Live (expressed in msec).
	Same of the bullet...
	*/
		int ttl;
/** It draw a simple disk.
The disk is drawn with a triangular fan transparent in the center
and yellow on the border. Note that to draw with transparency
we have to enable the blending. We have choosen to enable the 
blending only here for performance reasons. 
To avoid that other objects cover an explosions we disable 
the depth test and draw the explosion 
(that are contained in the generic ActiveObj list of the 
\Ref{GameSession}) as the last objects.
*/
	void Draw();

/** It must update and check the remaining Time To Live (TTL) of the bullet 
	and disactivating it if necessary. Same code of bullet...*/
	void Update(int t)
	{
		ttl-=t;
		if(ttl<0) active=false;
		GameObj::Update(t);
	}};
#endif